Page Summary
-
This endpoint, using a POST request, notifies of a new credential status update available via
GetCredentialStatus. -
The request URL follows gRPC Transcoding syntax and is structured as
POST https://vgw.googleapis.com/be/mdl/canonical/:issuerId/v1/notifyCredentialStatusUpdateAvailable. -
The request body requires
requestMetadata, a uniquedeviceReferenceIdfor each credential on a device, and acredentialId. -
The response body, upon success, contains
responseMetadataacknowledging the availability of a credential status update.
An endpoint to indicate that there is a new status update that can be retrieved using GetCredentialStatus.
HTTP request
POST https://vgw.googleapis.com/be/mdl/canonical/:issuerId/v1/notifyCredentialStatusUpdateAvailable
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requestMetadata": {
object ( |
| Fields | |
|---|---|
requestMetadata |
The metadata about the request, required in all requests. |
deviceReferenceId |
The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them. This id is supplied in all requests, and can be used to correlate requests. |
credentialId |
An opaque identifier representing a credential. Ex: UUID |
Response body
An acknowledgement that there is a credential status update available.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"responseMetadata": {
object ( |
| Fields | |
|---|---|
responseMetadata |
The metadata about the response, required in all responses. |